# Uses of Interface
org.eclipse.birt.chart.model.ModelPackage

Packages that use ModelPackage
Package
Description
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.

## Uses of ModelPackage in org.eclipse.birt.chart.model

Fields in org.eclipse.birt.chart.model declared as ModelPackage
Modifier and Type
Field
Description
`static final ModelPackage`
ModelPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.birt.chart.model that return ModelPackage
Modifier and Type
Method
Description
`ModelPackage`
ModelFactory.`getModelPackage()`
Returns the package supported by this factory.

## Uses of ModelPackage in org.eclipse.birt.chart.model.impl

Classes in org.eclipse.birt.chart.model.impl that implement ModelPackage
Modifier and Type
Class
Description
`class`
`ModelPackageImpl`
An implementation of the model Package .
Methods in org.eclipse.birt.chart.model.impl that return ModelPackage
Modifier and Type
Method
Description
`ModelPackage`
ModelFactoryImpl.`getModelPackage()`
`static ModelPackage`
ModelFactoryImpl.`getPackage()`
Deprecated.
`static ModelPackage`
ModelPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.